# DefSchm.tcl --
#
#	Implements the default color and font schemes for Tix.
#
# Copyright (c) 1996, Expert Interface Technologies
#
# See the file "license.terms" for information on usage and redistribution
# of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#

proc tixSetDefaultFontset {} {
    global tixOption

    if { [ string length [ info command kanji ] ] <= 0 } {
	set tixOption(font)         -Adobe-Helvetica-Medium-R-Normal--*-120-*
	set tixOption(bold_font)    -Adobe-Helvetica-Bold-R-Normal--*-120-*
	set tixOption(menu_font)    -Adobe-Helvetica-Bold-R-Normal--*-120-*
	set tixOption(italic_font)  -Adobe-Helvetica-Bold-O-Normal--*-120-*
	set tixOption(fixed_font)   -*-courier-medium-r-*-*-14-*-*-*-*-*-*-*
    } else {
        puts Hogehoge
	catch { font create Mincho:Helvetica-Bold-Oblic-12 -compound {-adobe-helvetica-bold-o-normal--12-*-*-*-p-*-iso8859-1 k14 rk14} }

	set tixOption(font)         Mincho:Helvetica-12
	set tixOption(bold_font)    Mincho:Helvetica-Bold-12
	set tixOption(menu_font)    Mincho:Helvetica-Bold-12
	set tixOption(italic_font)  Mincho:Helvetica-Bold-Oblic-12
	set tixOption(fixed_font)   Mincho:Courier-12
    }
}

proc tixSetDefaultScheme-Color {} {
    global tixOption

    set tixOption(bg)           #d9d9d9
    set tixOption(fg)           black

    set tixOption(dark1_bg)     #c3c3c3
    set tixOption(dark1_fg)     black
    set tixOption(dark2_bg)     #a3a3a3
    set tixOption(dark2_fg)     black
    set tixOption(inactive_bg)  #a3a3a3
    set tixOption(inactive_fg)  black

    set tixOption(light1_bg)    #ececec
    set tixOption(light1_fg)    white
    set tixOption(light2_bg)    #fcfcfc
    set tixOption(light2_fg)    white

    set tixOption(active_bg)    $tixOption(dark1_bg)
    set tixOption(active_fg)    $tixOption(fg)
    set tixOption(disabled_fg)  gray55

    set tixOption(input1_bg)    #d9d9d9
    set tixOption(input2_bg)    #d9d9d9
    set tixOption(output1_bg)   $tixOption(dark1_bg)
    set tixOption(output2_bg)   $tixOption(bg)

    set tixOption(select_fg)    black
    set tixOption(select_bg)    #c3c3c3

    set tixOption(selector)	#b03060
}

proc tixSetDefaultScheme-Mono {} {

    global tixOption

    set tixOption(bg)           lightgray
    set tixOption(fg)           black

    set tixOption(dark1_bg)     gray70
    set tixOption(dark1_fg)     black
    set tixOption(dark2_bg)     gray60
    set tixOption(dark2_fg)     white
    set tixOption(inactive_bg)  lightgray
    set tixOption(inactive_fg)  black

    set tixOption(light1_bg)    gray90
    set tixOption(light1_fg)    white
    set tixOption(light2_bg)    gray95
    set tixOption(light2_fg)    white

    set tixOption(active_bg)    gray90
    set tixOption(active_fg)    $tixOption(fg)
    set tixOption(disabled_fg)  gray55

    set tixOption(input1_bg)    $tixOption(light1_bg)
    set tixOption(input2_bg)    $tixOption(light1_bg)
    set tixOption(output1_bg)   $tixOption(light1_bg)
    set tixOption(output2_bg)   $tixOption(light1_bg)

    set tixOption(select_fg)    white
    set tixOption(select_bg)    black

    set tixOption(selector)	black
}
